import LetterList from "@web/src/components/models/post/list/LetterList";
import { Header } from "./Header";
import { useAuth } from "@web/src/providers/auth-provider";
import { useMemo } from "react";
import { PostType, RolePerms } from "@nice/common";
export default function InboxPage() {
	const { user, hasSomePermissions } = useAuth();
	const readAnyPost = useMemo(() => {
		return hasSomePermissions(RolePerms.READ_ANY_POST);
	}, []);
	return (
		// 添加 flex flex-col 使其成为弹性布局容器
		<div className="min-h-screen shadow-elegant border-2 border-white  rounded-xl overflow-hidden  bg-slate-200">
			<Header />
			{/* 添加 flex-grow 使内容区域自动填充剩余空间 */}

			<LetterList
				params={{
					where: {
						type: PostType.POST,
						deletedAt: null,
						receivers: !readAnyPost
							? {
									some: {
										id: user?.id,
									},
								}
							: undefined,
					},
				}}></LetterList>
		</div>
	);
}
