import LetterList from "@web/src/components/models/post/list/LetterList";
import { Header } from "./Header";
import { useSearchParams } from "react-router-dom";
import { SendCard } from "../write/SendCard";
import { StaffCard } from "./StaffCard";
import StaffList from "@web/src/components/models/staff/staff-list";
import SendStaffList from "@web/src/components/models/post/list/SendStaffList";
import { PostType } from "@nice/common";
import TopNotificationInput from "./TopNotification";
import PostCount from "./PostCount";

export default function LetterListPage() {
	const [params] = useSearchParams();
	const keyword = params.get("keyword");
	const mockStaff = {
		id: "12345",
		showname: "张三",
		username: "zhangsan",
		phoneNumber: "123-4567-8901",
		department: {
			name: "工程部",
		},
		meta: {
			photoUrl: "https://example.com/zhangsan-photo.jpg",
			rank: "高级工程师",
			email: "zhangsan@example.com",
			office: "A栋101室",
		},
	};

	return (
		<div className="min-h-screen ">
			{/* Left side - 3/4 width */}
			<TopNotificationInput></TopNotificationInput>
			<div className="flex  gap-4 mt-4 ">
				<div className="w-4/5 shadow-elegant border-2 border-white rounded-xl overflow-hidden  flex flex-col">
					<LetterList
						search={keyword}
						params={{
							where: {
								deletedAt: null,
								type: PostType.POST,
							},
						}}></LetterList>
				</div>
				{/* Right side - 1/4 width */}
				<div className="w-1/5 ">
					{/* <Staff */}
					<div className="mb-2">
						<PostCount></PostCount>
					</div>
					<SendStaffList></SendStaffList>
					{/* Add your content for the right side here */}
				</div>
			</div>
		</div>
	);
}
